Really Slick ScreenSavers(1)

NAME
pixelcity - Procedural city fly through.

SYNOPSIS
pixelcity [--root/-r] [--maxfps/-x number] [--vsync/-y number] [--dpms/-M number] [--effect_none/-n] [--effect_bloom/-b] [--effect_bloom_radial/-B] [--effect_glass/-g] [--effect_color_cycle/-c] [--wireframe/-w] [--letterbox/-l] [--no-fog/-F]

DESCRIPTION
From Shamus Young (http://code.google.com/p/pixelcity/): A screensaver for Windows which generates and performs a fly-through of a nighttime cityscape.

    * There are no art assets. All content is generated at runtime.
    * Aimed at older graphics hardware. The goal is for the program to perform acceptably on machines "five years old or less".
    * Written in C++ using OpenGL. No fragment or vertex shaders are used.

Ported to Linux by Tugrul Galatali.

OPTIONS

--root
    Draw on the root window.

--maxfps number
    Set maximum frame rate.

--vsync number
    Limit redraws to specified number of vertical refreshes. 0 - 100. Default: 1

--dpms number
    Stop rendering new frames if the display is not on. 0 - 1. Default: 1

--effect_none
    No scene post processing.

--effect_bloom
    Apply bloom filter to scene. Default.

--effect_bloom_radial
    Apply radial bloom filter to scene.

--effect_glass
    Ethereal rendering of buildings.

--effect_color_cycle
    Buildings glow with alternating colors.

--wireframe
    Render building outlines.

--letterbox
    Wide screen the scene with letter boxing.

--no-fog
    Disable distance fog.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
X(1),

COPYRIGHT
Copyright © 2009 by Shamus Young and Tugrul Galatali.

Pixel City is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

Pixel City is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Shamus Young <shamus -at- shamusyoung dot com> and Tugrul Galatali <tugrul@galatali.com>